define/local objectobs/C/1/30   ""
define/local dateobs/C/1/30 ""
define/local modeobs/C/1/30   ""
define/local grismid/C/1/30   ""
define/local proscience/I/1/1
define/local sta1/C/1/30   ""
define/local sta2/C/1/30   ""



INDISK/MFITS /tmp/midi_gasgano.fits result-midi 

write/keyword objectobs/C/1/30 {result-midi0000,ESO.OBS.NAME}
write/keyword dateobs/C/1/30   {result-midi0000,ESO.OBS.START}
write/keyword modeobs/C/1/30   {result-midi0000,ESO.INS.OPT1.ID}
write/keyword grismid/C/1/30   {result-midi0000,ESO.INS.GRIS.ID}
copy/dk  result-midi0000 ESO.PRO.SCIENCE  proscience 
write/keyword sta1/C/1/30 {result-midi0000,ESO.ISS.CONF.STATION1}
write/keyword sta2/C/1/30 {result-midi0000,ESO.ISS.CONF.STATION2}


! Midas accepts only 15 characters =>
! Photom     -> P   for Min Max
! Interf     -> If  for Min Max
! Visibility -> Vis for Min Max

compute/table result-midi0006 :Visibility_sqrt = sqrt(:Visibility)

statistics/table result-midi0006 :Lambda            
!write/keyword MinLambda/r/1/1 {OUTPUTR(1)}   
!write/keyword MaxLambda/r/1/1 {OUTPUTR(2)}		   	 

write/keyword MinLambda/r/1/1 7   
write/keyword MaxLambda/r/1/1 13.5		   	 

statistics/table result-midi0006 :Visibility_sqrt        
write/keyword MinVis/r/1/1 {OUTPUTR(1)}   
write/keyword MaxVis/r/1/1 {OUTPUTR(2)}	   	 
statistics/table result-midi0006 :VisibilityErr     
write/keyword MinVisErr/r/1/1 {OUTPUTR(1)}   
write/keyword MaxVisErr/r/1/1 {OUTPUTR(2)}	 
statistics/table result-midi0006 :PhotomADATA1      
write/keyword MinPADATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPADATA1/r/1/1 {OUTPUTR(2)}	   	 
statistics/table result-midi0006 :PhotomAErrDATA1   
write/keyword MinPAErrDATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPAErrDATA1/r/1/1 {OUTPUTR(2)}		 
statistics/table result-midi0006 :PhotomADATA2      
write/keyword MinPADATA2/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPADATA2/r/1/1 {OUTPUTR(2)}	   	 
statistics/table result-midi0006 :PhotomAErrDATA2   
write/keyword MinPAErrDATA2/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPAErrDATA2/r/1/1 {OUTPUTR(2)}		 
statistics/table result-midi0006 :PhotomBDATA1      
write/keyword MinPBDATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPBDATA1/r/1/1 {OUTPUTR(2)}	   	 
statistics/table result-midi0006 :PhotomBErrDATA1   
write/keyword MinPBErrDATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPBErrDATA1/r/1/1 {OUTPUTR(2)}		 
statistics/table result-midi0006 :PhotomBDATA2      
write/keyword MinPBDATA2/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPBDATA2/r/1/1 {OUTPUTR(2)}	   	 
statistics/table result-midi0006 :PhotomBErrDATA2   
write/keyword MinPBErrDATA2/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPBErrDATA2/r/1/1 {OUTPUTR(2)}	 
statistics/table result-midi0006 :MeanInterfDATA1   
write/keyword MinMeanIfDATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxMeanIfDATA1/r/1/1 {OUTPUTR(2)}	 
statistics/table result-midi0006 :MeanInterfDATA2   
write/keyword MinMeanIfDATA2/r/1/1 {OUTPUTR(1)}   
write/keyword MaxMeanIfDATA2/r/1/1 {OUTPUTR(2)}        


compute/table result-midi0006 :MeanInterfDATA=:MeanInterfDATA2-:MeanInterfDATA1


statistics/table result-midi0006 :MeanInterfDATA   
write/keyword MinMeanIfDATA/r/1/1 {OUTPUTR(1)}   
write/keyword MaxMeanIfDATA/r/1/1 {OUTPUTR(2)}        

statistics/table result-midi0006 :MeanInterfDATA   
write/keyword MinMeanIfDATA/r/1/1 {OUTPUTR(1)}   
write/keyword MaxMeanIfDATA/r/1/1 {OUTPUTR(2)}        


define/local minglobal1/D/1/10 1
define/local maxglobal1/D/1/10 1
define/local minglobal2/D/1/10 1
define/local maxglobal2/D/1/10 1
define/local binsize/D/1/10 1

!define/local TEST/D/1/10 1

create/graph 1 810,850,1,350
set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1


!----------------------------------------------------------
! Plot1

minglobal1 = {MinLambda(1)}
maxglobal1 = {MaxLambda(1)}
minglobal2 = {MinVis(1)}*0.8
maxglobal2 = {MaxVis(1)}*1.2


set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
plot/axes {minglobal1},{maxglobal1} {minglobal2),{maxglobal2}   -100,-100,20,130 "\lambda [\mu m]" "Visibility "

compute/table result-midi0006 :VisErrHig=:Visibility_sqrt+:Visibility_sqrt*:VisibilityErr
compute/table result-midi0006 :VisErrLow =:Visibility_sqrt-:Visibility_sqrt*:VisibilityErr

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
overplot/table result-midi0006 :Lambda  :Visibility_sqrt  
set/graph font=1 pmode=1 stype=0 ltype=2 pmode=1
overplot/table result-midi0006 :Lambda  :VisErrHig  
overplot/table result-midi0006 :Lambda  :VisErrLow  
LABEL/GRAPHIC "Object: {objectobs}" 25,250,mm 0 1.1 1
LABEL/GRAPHIC "Mode:   {modeobs}"     25,242,mm 0 1.1 1
LABEL/GRAPHIC "Date:   {dateobs}"     25,235,mm 0 1.1 1

LABEL/GRAPHIC "Grism: {grismid}"    150,250,mm 0 1.1 1
SET/FORM    I1
LABEL/GRAPHIC "Pro Science: {proscience}"    150,242,mm 0 1.1 1
SET/FORM    I4
LABEL/GRAPHIC "Stations: {sta1} - {sta2}"  150,235,mm 0 1.1 1

!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!copy/graph POSTSCRIPT
!$cp postscript.ps plot1.ps


!----------------------------------------------------------
! Plot 2_3

COMPUTE/TAB result-midi0006 :MaxA1A2     = MAX(:PhotomADATA1,:PhotomADATA2)
COMPUTE/TAB result-midi0006 :MaxA1A2B1   = MAX(:MaxA1A2,:PhotomBDATA1)
COMPUTE/TAB result-midi0006 :MaxA1A2B1B2 = MAX(:MaxA1A2B1,:PhotomBDATA2)
statistics/table result-midi0006 :MaxA1A2B1B2           
write/keyword TEST/r/1/1 {OUTPUTR(2)}   

minglobal1 = {MinLambda(1)}
maxglobal1 = {MaxLambda(1)}
minglobal2 = {MinPADATA2(1)}*0.8
maxglobal2 = {TEST(1)}*1.2



set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
overplot/axes {minglobal1},{maxglobal1} {minglobal2),{maxglobal2}   -100,-100,20,15 "\lambda [\mu m]" "Mean Photometry [ADU]"


! Plot2A
compute/table result-midi0006 :PhotAErrDATA1Hig=:PhotomADATA1+:PhotomAErrDATA1
compute/table result-midi0006 :PhotAErrDATA1Low =:PhotomADATA1-:PhotomAErrDATA1

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
overplot/table result-midi0006 :Lambda  :PhotomADATA1  
set/graph font=1 pmode=1 stype=0 ltype=2 pmode=1
overplot/table result-midi0006 :Lambda  :PhotAErrDATA1Hig  
overplot/table result-midi0006 :Lambda  :PhotAErrDATA1Low  
LABEL/GRAPHIC "Phot. A WINDOW 1" 40,110,mm ? 0.8 ?
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!copy/graph POSTSCRIPT
!$cp postscript.ps plot2A.ps


! Plot2B
compute/table result-midi0006 :PhotAErrDATA2Hig=:PhotomADATA2+:PhotomAErrDATA2
compute/table result-midi0006 :PhotAErrDATA2Low =:PhotomADATA2-:PhotomAErrDATA2

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=2
overplot/table result-midi0006 :Lambda  :PhotomADATA2  
set/graph font=1 pmode=1 stype=0 ltype=2 pmode=1
overplot/table result-midi0006 :Lambda  :PhotAErrDATA2Hig  
overplot/table result-midi0006 :Lambda  :PhotAErrDATA2Low  
LABEL/GRAPHIC "Phot. A WINDOW 2" 40,105,mm ? 0.8 ?
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!copy/graph POSTSCRIPT
!$cp postscript.ps plot2.ps
!------------------------------------------------------------------

! Plot3A
compute/table result-midi0006 :PhotBErrDATA1Hig=:PhotomBDATA1+:PhotomBErrDATA1
compute/table result-midi0006 :PhotBErrDATA1Low =:PhotomBDATA1-:PhotomBErrDATA1

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=3
overplot/table result-midi0006 :Lambda  :PhotomBDATA1  
set/graph font=1 pmode=1 stype=0 ltype=2 pmode=1
overplot/table result-midi0006 :Lambda  :PhotBErrDATA1Hig  
overplot/table result-midi0006 :Lambda  :PhotBErrDATA1Low  
LABEL/GRAPHIC "Phot. B WINDOW 1" 95,110,mm ? 0.8 ?
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!copy/graph POSTSCRIPT
!$cp postscript.ps plot3A.ps

! Plot3B
compute/table result-midi0006 :PhotBErrDATA2Hig=:PhotomBDATA2+:PhotomBErrDATA2
compute/table result-midi0006 :PhotBErrDATA2Low =:PhotomBDATA2-:PhotomBErrDATA2

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1  color=4
overplot/table result-midi0006 :Lambda  :PhotomBDATA2  
set/graph font=1 pmode=1 stype=0 ltype=2 pmode=1
overplot/table result-midi0006 :Lambda  :PhotBErrDATA2Hig  
overplot/table result-midi0006 :Lambda  :PhotBErrDATA2Low  
LABEL/GRAPHIC "Phot. B WINDOW 2" 95,105,mm ? 0.8 ?
set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!copy/graph POSTSCRIPT
!$cp postscript.ps plot2_3.ps

!------------------------------------------------------------
!Plot4

!
!! Plot both windows individually
!
!minglobal1 = {MinLambda(1)}
!maxglobal1 = {MaxLambda(1)}
!minglobal2 = {MinMeanIfDATA1(1)}*0.8
!maxglobal2 = {MaxMeanIfDATA1(1)}*1.2
!
!
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
!overplot/axes {minglobal1},{maxglobal1} {minglobal2),{maxglobal2} -85,-100,145,130 "\lambda [\mu m]" "Mean Interf. Flux [ADU]"
!overplot/table result-midi0006 :Lambda  :MeanInterfDATA1  
!LABEL/GRAPHIC "WINDOW 1" 170,225,mm ? 0.8 ?
!
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=2
!overplot/table result-midi0006 :Lambda  :MeanInterfDATA2  
!LABEL/GRAPHIC "WINDOW 2" 200,225,mm ? 0.8 ?
!set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1
!
! Plot window B -Window A 

IF {MinMeanIfDATA(1)} .GT. 0 THEN 
minglobal1 = {MinLambda(1)}
maxglobal1 = {MaxLambda(1)}
minglobal2 = {MinMeanIfDATA(1)}*0.8
maxglobal2 = {MaxMeanIfDATA(1)}*1.2
ENDIF

IF {MinMeanIfDATA(1)} .LE. 0 THEN 
minglobal1 = {MinLambda(1)}
maxglobal1 = {MaxLambda(1)}
minglobal2 = {MinMeanIfDATA(1)}*1.2
maxglobal2 = {MaxMeanIfDATA(1)}*1.2
ENDIF



set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
overplot/axes {minglobal1},{maxglobal1} {minglobal2},{maxglobal2} -85,-100,145,130 "\lambda [\mu m]" "Mean Interf. Flux [ADU]"
overplot/table result-midi0006 :Lambda  :MeanInterfDATA  
LABEL/GRAPHIC "WINDOW 2 - WINDOW 1" 170,225,mm ? 0.8 ?
set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1


!write/out {minglobal1}
!write/out {maxglobal1}
!write/out {minglobal2}
!write/out {maxglobal2}
!



!copy/graph POSTSCRIPT
!$cp postscript.ps plot.ps
!----------------------------------------------------------



statistics/table result-midi0007 :PhotomA_DATA1           
write/keyword MinPA_DATA1/r/1/1 {OUTPUTR(1)}   
write/keyword MaxPA_DATA1/r/1/1 {OUTPUTR(2)}		   	 
minglobal1 = {MinPA_DATA1(1)}*0.9
maxglobal1 = {MaxPA_DATA1(1)}*1.1

! use the same binesize for every histogram
binsize = (maxglobal1 - minglobal1)/30.

! compute the values for the y-scaling of the plot
COMPUTE/HISTOGRAM hist/TAB = result-midi0007 :PhotomA_DATA1 {binsize} 
copy/tt hist :FREQUENCY result-midi0007 :FADATA1
COMPUTE/HISTOGRAM hist/TAB = result-midi0007 :PhotomA_DATA2 {binsize}
copy/tt hist :FREQUENCY result-midi0007 :FADATA2
COMPUTE/HISTOGRAM hist/TAB = result-midi0007   :PhotomB_DATA1 {binsize}
copy/tt hist :FREQUENCY result-midi0007 :FBDATA1
COMPUTE/HISTOGRAM hist/TAB = result-midi0007   :PhotomB_DATA2 {binsize}
copy/tt hist :FREQUENCY result-midi0007 :FBDATA2



COMPUTE/TAB result-midi0007 :MaxA1A2     = MAX(:FADATA1,:FADATA2)
COMPUTE/TAB result-midi0007 :MaxA1A2B1   = MAX(:MaxA1A2,:FBDATA1)
COMPUTE/TAB result-midi0007 :MaxA1A2B1B2 = MAX(:MaxA1A2B1,:FBDATA2)
statistics/table result-midi0007 :MaxA1A2B1B2           
write/keyword TEST/r/1/1 {OUTPUTR(2)}
 
minglobal2 = 0
maxglobal2 = {TEST(1)}*1.2
write/out {maxglobal2} 


!----------------------------------------------------------
! Plot5

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
overplot/axes {minglobal1},{maxglobal1} {minglobal2},{maxglobal2}   -85,-100,145,15  "FLUX [ADU]" "Frequency"
OVERPLOT/HISTOGRAM result-midi0007  :PhotomA_DATA1 0 {binsize},{minglobal1},{maxglobal1}
LABEL/GRAPHIC "Phot. A WINDOW 1" 165,110,mm ? 0.8 ?

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=2
OVERPLOT/HISTOGRAM result-midi0007  :PhotomA_DATA2 0 {binsize},{minglobal1},{maxglobal1}
LABEL/GRAPHIC "Phot. A WINDOW 2" 165,105,mm ? 0.8 ?



set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=3
OVERPLOT/HISTOGRAM result-midi0007  :PhotomB_DATA1 0 {binsize},{minglobal1},{maxglobal1}
LABEL/GRAPHIC "Phot. B WINDOW 1" 208,110,mm ? 0.8 ?

set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=4
OVERPLOT/HISTOGRAM result-midi0007  :PhotomB_DATA2 0 {binsize},{minglobal1},{maxglobal1}
LABEL/GRAPHIC "Phot. B WINDOW 2" 208,105,mm ? 0.8 ?




copy/graph POSTSCRIPT
$mv postscript.ps /tmp/midi_displayA.ps

create/graph 2 400,380,825,825
set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
PLOT/TABL   result-midi0008.tbl SEQ #1

!LABEL/GRAPHIC "For all Scans" 50,130,mm ? 0.8 ?
copy/graph POSTSCRIPT
$mv postscript.ps /tmp/midi_displayB.ps

create/graph 3 400,390,825,400
set/graph font=1 pmode=1 stype=0 ltype=1 pmode=1 color=1
PLOT/HISTOGRAM result-midi0008  #1 
copy/graph POSTSCRIPT
$mv postscript.ps /tmp/midi_displayC.ps


WRITE/OUT   "Display copied to /tmp/midi_display*.ps"


$ rm -f FORGRdrs.KEY graph_wnd101.plt hist.tbl postscript.ps
$ rm -f result-midi0000.bdf result-midi000?.tbl graph_*.plt

